package com.dsk.system.service;


import com.dsk.system.domain.customer.ContactInfo;
import com.dsk.system.domain.customer.dto.ContactInfoSearchDto;
import com.dsk.system.domain.customer.vo.ContactInfoListVo;

import java.util.List;

/**
 * 用户联系人(CustomerContact)表服务接口
 *
 * @author makejava
 * @since 2023-07-25 17:18:05
 */
public interface IContactInfoService {
    /**
     * 查询数据列表
     */
    List<ContactInfoListVo> selectList(ContactInfoSearchDto dto);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ContactInfo selectById(Long id);

    /**
     * 新增数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    boolean insert(ContactInfo bean);

    /**
     * 修改数据
     *
     * @param bean 实例对象
     * @return 实例对象
     */
    boolean update(ContactInfo bean);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);
}
